#!/bin/bash
# greennuts EXEC
#
# File Version 000.902
#
# param
#  non
#

echo "greennuts.sh" >> /home/pi/Greennuts/log/chktime.txt
sudo hwclock -r >> /home/pi/Greennuts/log/chktime.txt

# Change Current Folder
cd /home/pi/Greennuts/bin

#if [ -e /home/pi/Greennuts/os_stretch.txt ]; then
#    sudo plymouth --hide-splash
#fi

# Show GnProcessing
java -jar /home/pi/Greennuts/bin/GnProcessing.jar "起動中です。しばらくお待ちください。" &
sleep 5

#sudo hwclock -r >> /home/pi/Greennuts/log/chktime.txt
# Screen Sever OFF
#xset s 60 60
xset -q > /home/pi/Greennuts/temp/xset.txt
xset s off
xset -dpms
xset s noblank
xset -q >> /home/pi/Greennuts/temp/xset.txt

#sudo hwclock -r >> /home/pi/Greennuts/log/chktime.txt
# Power Off Monitor Start
sudo /home/pi/Greennuts/bin/PowerOff.sh &

# Sensor Start
sudo echo 18 > /sys/class/gpio/export
sudo echo in > /sys/class/gpio/gpio18/direction

# Backlight Start
sudo echo 17 > /sys/class/gpio/export
sudo echo out > /sys/class/gpio/gpio17/direction
sudo echo 0 > /sys/class/gpio/gpio17/value

#sudo hwclock -r >> /home/pi/Greennuts/log/chktime.txt

# Loader Start
java -jar /home/pi/Greennuts/bin/GnLoader.jar
RETURN_CODE=$?
echo $RETURN_CODE >> /home/pi/Greennuts/log/chktime.txt
if [ $RETURN_CODE = 2 ]; then
   echo "program upd"
   # Destroy GnProcessing
   ps aux | grep GnProcessing | grep -v grep | awk '{ print "kill -9", $2 }' | sh
   # Show GnProcessing
   java -jar /home/pi/Greennuts/bin/GnProcessing.jar "起動中です。しばらくお待ちください。" &
   sleep 5
else
   echo "normal end"
fi

#sudo hwclock -r >> /home/pi/Greennuts/log/chktime.txt

# hide-splash plymouth Service
if [ -e /home/pi/Greennuts/os_stretch.txt ]; then
    echo 'Stretch' > /home/pi/Greennuts/log/plymouth.txt
    if [ -e /home/pi/Greennuts/temp/gnp002v000991.txt ]; then
        echo 'V000R991' >> /home/pi/Greennuts/log/plymouth.txt
    else
        echo 'V000R990' >> /home/pi/Greennuts/log/plymouth.txt
        sudo plymouth --hide-splash
    fi
else
    echo 'Jessie' > /home/pi/Greennuts/log/plymouth.txt
fi

sudo hwclock -r >> /home/pi/Greennuts/log/chktime.txt
# Process Control Start
#  Release
java -jar /home/pi/Greennuts/bin/GnProcCtrl.jar
#  Debug
#java -jar /home/pi/Greennuts/bin/GnProcCtrl.jar 1

# Destroy GnProcessing
#ps aux | grep GnProcessing | grep -v grep | awk '{ print "kill -9", $2 }' | sh

# ReStart plymouth Service
if [ -e /home/pi/Greennuts/os_stretch.txt ]; then
    if [ -e /home/pi/Greennuts/temp/gnp002v000991.txt ]; then
        echo 'V000R991' >> /home/pi/Greennuts/log/plymouth.txt
    else
        echo 'V000R990' >> /home/pi/Greennuts/log/plymouth.txt
        sudo plymouth --show-splash
    fi
    echo 'END Stretch' >> /home/pi/Greennuts/log/plymouth.txt
else
    echo 'END Jessie' >> /home/pi/Greennuts/log/plymouth.txt
fi
